Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Arthorne2009-03-09 17:49:10 -0400
committerJohn Arthorne2009-03-09 17:49:10 -0400
commitf5e186871c762ed1760f225ea462cc37699087cb (patch)
tree5713e75f6a99a948065e5f2c3a2d9221ec9e8883 /bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties
parent516b090efce052fe94ae66a4795fabf8f44a2491 (diff)
downloadrt.equinox.p2-f5e186871c762ed1760f225ea462cc37699087cb.tar.gz
rt.equinox.p2-f5e186871c762ed1760f225ea462cc37699087cb.tar.xz
rt.equinox.p2-f5e186871c762ed1760f225ea462cc37699087cb.zip
Bug 266760 Render explanation as a status treev20090309-1800
Diffstat (limited to 'bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties')
-rw-r--r--bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties4
1 files changed, 3 insertions, 1 deletions
diff --git a/bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties b/bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties
index 6a17184b9..916be28c3 100644
--- a/bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties
+++ b/bundles/org.eclipse.equinox.p2.director/src/org/eclipse/equinox/internal/p2/director/messages.properties
@@ -23,8 +23,10 @@ Director_Unsatisfied_Dependency=\
Explanation_alreadyInstalled=Software currently installed: {0}
Explanation_from=From: {0}
Explanation_hardDependency=Cannot satisfy dependency: {0} depends on: {1}
-Explanation_missingRequired=Missing requirement: {0} missing required {1}
+Explanation_missingRequired=Missing requirement: {0} requires ''{1}'' but it could not be found
Explanation_optionalDependency=Optional dependency
+Explanation_rootMissing=Cannot complete the install because one or more required items could not be found.
+Explanation_rootSingleton=Cannot complete the install because of a conflicting dependency.
Explanation_singleton=Only one of the following can be installed at once: {0}
Explanation_to=To: {0}
Explanation_toInstall=Software being installed: {0}

Back to the top